#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
cin.tie(0);
cout.tie(0);
  unsigned long long n,l, x;
  cin>>n>>l;
  for(int i=1;i<=n;i++)
  {
      cin>>x;
      if (x<=l)
      {
          cout<<i<<endl;
          return 0;
      }
  }

    cout << "-1" << endl;
    return 0;
}